Index: /release-kits/lirk2/ant-scripts/compile.xml
===================================================================
--- /release-kits/lirk2/ant-scripts/compile.xml	(revision 17421)
+++ /release-kits/lirk2/ant-scripts/compile.xml	(revision 17422)
@@ -20,5 +20,5 @@
 
 		<!-- search4j -->
-		<antcall target="compile-search4j" /> <!-- from rk2-targets -->
+		<antcall target="compile-search4j-unix" /> <!-- from rk2-targets -->
 
 		<!-- uninstaller -->
Index: /release-kits/lirk2/ant-scripts/create-components.xml
===================================================================
--- /release-kits/lirk2/ant-scripts/create-components.xml	(revision 17421)
+++ /release-kits/lirk2/ant-scripts/create-components.xml	(revision 17422)
@@ -28,15 +28,11 @@
 		<copy todir="components/tmp/core" overwrite="true">
 			<fileset dir="distributions/web">
-				<include name="gli/**/*"/>
-				<include name="bin/**/*"/>
-				<include name="cgi-bin/**/*"/>
-				<include name="etc/**/*"/>
-				<include name="mappings/**/*"/>
-				<include name="images/**/*"/>
-				<include name="perllib/**/*"/>
-				<include name="indexers/**/*"/>
-				<include name="macros/**/*"/>
-				<include name="collect/**/*"/>
-				<include name="*"/>
+				<include name="**/*"/>
+
+				<!-- sourcecode -->
+				<exclude name="common-src/**/*"/>
+				<exclude name="runtime-src/**/*"/>
+				<exclude name="build-src/**/*"/>
+
 			</fileset>
 		</copy>
Index: /release-kits/lirk3/ant-scripts/compile.xml
===================================================================
--- /release-kits/lirk3/ant-scripts/compile.xml	(revision 17421)
+++ /release-kits/lirk3/ant-scripts/compile.xml	(revision 17422)
@@ -28,5 +28,5 @@
 
 		<!-- search4j -->
-		<antcall target="compile-search4j" /> <!-- from rk3-targets -->
+		<antcall target="compile-search4j-unix" /> <!-- from rk3-targets -->
 
 		<!-- uninstaller -->
Index: /release-kits/lirk3/ant-scripts/create-components.xml
===================================================================
--- /release-kits/lirk3/ant-scripts/create-components.xml	(revision 17422)
+++ /release-kits/lirk3/ant-scripts/create-components.xml	(revision 17422)
@@ -0,0 +1,123 @@
+<?xml version="1.0" encoding="utf-8" ?>
+<project name="lirk3-create-components" default="create-components">
+
+	<!-- create components from the distribution folder -->
+	<target name="create-components">
+		<antcall target="prepare-to-create-components" />
+		<antcall target="create-core-component" />
+		<antcall target="create-sourcecode-component" />
+		<antcall target="create-ant-component" />
+		<antcall target="create-tomcat-component" />
+	</target>
+
+	<target name="prepare-to-create-components">
+		<delete dir="components"/>
+		<mkdir dir="components/tmp"/>
+	</target>
+		
+	<target name="create-core-component">
+		<antcall target="prepare-core-component" />
+		<antcall target="compress-core-component" />
+	</target>
+
+	<target name="create-sourcecode-component">
+		<antcall target="prepare-sourcecode-component" />
+		<antcall target="compress-sourcecode-component" />	
+	</target>
+		
+	<target name="create-ant-component">
+		<antcall target="prepare-ant-component" />
+		<antcall target="compress-ant-component" />	
+	</target>
+		
+	<target name="create-tomcat-component">
+		<antcall target="prepare-tomcat-component" />
+		<antcall target="compress-tomcat-component" />	
+	</target>
+	
+	<target name="prepare-core-component">
+
+		<mkdir dir="components/tmp/core"/>
+				
+		<copy todir="components/tmp/core" overwrite="true">
+			<fileset dir="distribution/greenstone3">
+				<include name="**/*"/>
+
+				<!-- exclude sourcecode -->
+				<include name="src/**/*"/>
+				<exclude name="gs2build/common-src/**/*"/>
+				<exclude name="gs2build/build-src/**/*"/>
+				<exclude name="gs2build/runtime-src/**/*"/>
+				
+				<!-- exclude ant -->
+				<exclude name="packages/ant/**/*"/>
+
+				<!-- exclude tomcat -->
+				<exclude name="packages/tomcat/**/*"/>
+
+			</fileset>
+		</copy>
+		
+		<!-- do some cleanup -->
+		<delete dir="components/tmp/core/gs2build/common-src"/>
+		<delete dir="components/tmp/core/gs2build/build-src"/>
+		<delete dir="components/tmp/core/gs2build/runtime-src"/>
+		<delete dir="components/tmp/core/gs2build/bin/windows/imagemagick"/>
+		<delete dir="components/tmp/core/gs2build/bin/windows/ghostscript"/>
+				
+		<zip destfile="components/core.comp" basedir="components/tmp/core" compress="false" />
+	</target>
+	
+	<target name="compress-core-component">
+		<sevenzip task="encode" input="components/core.comp" output="components/core.lzma" dictionnary="26"/>
+	</target>
+	
+	<target name="prepare-sourcecode-component">
+		<mkdir dir="components/tmp/sourcecode"/>
+		<copy todir="components/tmp/sourcecode" overwrite="true">
+				<fileset dir="distribution/greenstone3">
+					<include name="src/**/*"/>
+					<include name="gs2build/common-src/**/*"/>
+					<include name="gs2build/build-src/**/*"/>
+					<include name="gs2build/runtime-src/**/*"/>
+				</fileset>
+		</copy>
+				
+		<zip destfile="components/sourcecode.comp" basedir="components/tmp/sourcecode" compress="false" />
+	</target>
+		
+	<target name="compress-sourcecode-component">
+		<sevenzip task="encode" input="components/sourcecode.comp" output="components/sourcecode.lzma" dictionnary="26"/>
+	</target>
+	
+	<target name="prepare-ant-component">
+		<mkdir dir="components/tmp/ant"/>
+		<copy todir="components/tmp/ant" overwrite="true">
+			<fileset dir="distribution/greenstone3/packages">
+				<include name="ant/**/*"/>
+			</fileset>
+		</copy>
+		
+		<zip destfile="components/ant.comp" basedir="components/tmp/ant" compress="false" />
+	</target>
+		
+	<target name="compress-ant-component">
+		<sevenzip task="encode" input="components/ant.comp" output="components/ant.lzma" dictionnary="26"/>
+	</target>
+	
+	<target name="prepare-tomcat-component">
+		<mkdir dir="components/tmp/tomcat"/>
+		<copy todir="components/tmp/tomcat" overwrite="true">
+			<fileset dir="distribution/greenstone3/packages">
+				<include name="tomcat/**/*"/>
+			</fileset>
+		</copy>
+		
+		<zip destfile="components/tomcat.comp" basedir="components/tmp/tomcat" compress="false" />
+	</target>
+		
+	<target name="compress-tomcat-component">
+		<sevenzip task="encode" input="components/tomcat.comp" output="components/tomcat.lzma" dictionnary="26"/>
+	</target>	
+	
+</project>
Index: /release-kits/lirk3/ant-scripts/create-installer.xml
===================================================================
--- /release-kits/lirk3/ant-scripts/create-installer.xml	(revision 17421)
+++ /release-kits/lirk3/ant-scripts/create-installer.xml	(revision 17422)
@@ -15,31 +15,16 @@
 		<copy todir="${basedir}/installer/classes" overwrite="true">
 			<fileset dir="${lirk3.home}/greenstone3/installer-classes"/>
+			<fileset dir="${lirk3.home}/distribution/greenstone3/LICENSE.txt"/>
 		</copy>
+
 		<unjar src="${lirk3.home}/ant-scripts/tasks/greenstone/anttasks.jar" dest="${basedir}/installer/classes"/>
 		<delete dir="${basedir}/installer/classes/META-INF"/>
+
+		<unjar src="${lirk3.home}/ant-scripts/tasks/7z-ant/7z.jar" dest="${basedir}/installer/classes"/>
+		<delete dir="${basedir}/installer/classes/META-INF"/>
+
 	</target>
 
 	<target name="compile-installer">
-
-		<installer file="${basedir}/installer/greenstone3-with-java.jar"
-				compress="true"
-				extractType="NonExtractor"
-				installConfig="${basedir}/installer/antinstall-config.xml"
-				buildFile="${basedir}/installer/build.xml"
-				antInstallLib="${lirk3.home}/packages/ant-installer/lib"
-				antLib="${lirk3.home}/packages/ant/lib"
-				validateConfig="true"
-				icons="bluecurve">
-
-			<zipfileset dir="${basedir}/installer/classes" includes="**/*" /> <!-- installer classes -->
-			<zipfileset dir="${basedir}/distribution/greenstone3" includes="**/*"/>
-
-		</installer>
-
-		<!-- delete the bundled java lines from the installer config -->
-		<dcff
-			file="${basedir}/installer/antinstall-config.xml"
-			startTag=".*&lt;!-- start bundled java only --&gt;"
-			endTag=".*&lt;!-- end bundled java only --&gt;"/>
 
 		<installer file="${basedir}/installer/greenstone3.jar"
@@ -54,6 +39,26 @@
 
 			<zipfileset dir="${basedir}/installer/classes" includes="**/*"/>
-			<zipfileset dir="${basedir}/distribution/greenstone3" includes="**/*"/>
+			<zipfileset dir="${basedir}/components" includes="*.lzma"/>
 		</installer>
+
+		<dcff
+			file="${basedir}/installer/antinstall-config.xml"
+			startTag=".*&lt;!-- start full --&gt;"
+			endTag=".*&lt;!-- end full --&gt;"/>
+
+		<installer file="${basedir}/installer/Greenstone-${version}-linux-minimal.jar"
+				compress="true"
+				extractType="NonExtractor"
+				installConfig="${basedir}/installer/antinstall-config.xml"
+				buildFile="${basedir}/installer/build.xml"
+				antInstallLib="${lirk3.home}/packages/ant-installer/lib"
+				antLib="${lirk3.home}/packages/ant/lib"
+				validateConfig="true"
+				icons="bluecurve">
+
+			<zipfileset dir="${basedir}/installer/classes" includes="**/*"/>
+			<zipfileset dir="${basedir}/components" includes="core.lzma"/>
+		</installer>
+
 
 	</target>
Index: /release-kits/lirk3/installer/antinstall-config.xml
===================================================================
--- /release-kits/lirk3/installer/antinstall-config.xml	(revision 17421)
+++ /release-kits/lirk3/installer/antinstall-config.xml	(revision 17422)
@@ -40,11 +40,10 @@
 			force="true"/>
 
-		<!-- start bundled java only -->
+		<!-- start full -->
 		<target
-			target="install-java"
+			target="install-linux-java"
 			diskRequirement="@component.size.linux-java@"
 			defaultValue="true"
 			displayText=""/>
-		<!-- end bundled java only -->
 
 		<target
@@ -59,4 +58,5 @@
 			defaultValue="true"
 			displayText=""/>
+		<!-- end full -->
 
 		<target
Index: /release-kits/lirk3/installer/build.xml
===================================================================
--- /release-kits/lirk3/installer/build.xml	(revision 17421)
+++ /release-kits/lirk3/installer/build.xml	(revision 17422)
@@ -105,8 +105,8 @@
 	</target>
 
-	<target name="install-java">
+	<target name="install-linux-java">
 		<echo>Installing bundled java</echo>
 		<copy todir="${installDir}/packages/jre">
-			<fileset dir="../@java.extracted@"/>
+			<fileset dir="../@linux-java.extracted@"/>
 		</copy>
 		<chmod dir="${installDir}/packages/jre/bin" includes="*" perm="775"/>		
Index: /release-kits/mark2/ant-scripts/compile.xml
===================================================================
--- /release-kits/mark2/ant-scripts/compile.xml	(revision 17421)
+++ /release-kits/mark2/ant-scripts/compile.xml	(revision 17422)
@@ -18,5 +18,5 @@
 
 		<!-- search4j -->
-		<antcall target="compile-search4j" /> <!-- from rk2-targets -->
+		<antcall target="compile-search4j-unix" /> <!-- from rk2-targets -->
 
 		<!-- uninstaller -->
Index: /release-kits/mark2/installer/build.xml
===================================================================
--- /release-kits/mark2/installer/build.xml	(revision 17421)
+++ /release-kits/mark2/installer/build.xml	(revision 17422)
@@ -117,14 +117,5 @@
 	</target>
 
-	<target name="install-java">
-		<echo message="Installing bundled java"/>
-		<copy todir="${installDir}/packages/jre">
-			<fileset dir="../@java.extracted@"/>
-		</copy>
-		<chmod dir="${installDir}/packages/jre/bin" includes="*" perm="775"/>		
-	</target>
-
-	<target name="cleanuptarget">
-	</target>
+	<target name="cleanuptarget"></target>
 	
 
Index: /release-kits/mark3/ant-scripts/compile.xml
===================================================================
--- /release-kits/mark3/ant-scripts/compile.xml	(revision 17421)
+++ /release-kits/mark3/ant-scripts/compile.xml	(revision 17422)
@@ -26,5 +26,5 @@
 
 		<!-- search4j -->
-		<antcall target="compile-search4j" /> <!-- from rk3-targets -->
+		<antcall target="compile-search4j-unix" /> <!-- from rk3-targets -->
 
 		<!-- uninstaller -->
Index: /release-kits/wirk2/ant-scripts/create-components.xml
===================================================================
--- /release-kits/wirk2/ant-scripts/create-components.xml	(revision 17421)
+++ /release-kits/wirk2/ant-scripts/create-components.xml	(revision 17422)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="utf-8" ?>
-<project name="wirk3-create-components" default="create-components">
+<project name="wirk2-create-components" default="create-components">
 
 	<!-- create components from the distribution folder -->
@@ -42,29 +42,17 @@
 		<copy todir="components/tmp/core" overwrite="true">
 				<fileset dir="distributions/web">
-					<include name="gli/**/*"/>
-					<include name="bin/**/*"/>
+					<include name="/**/*"/>
+				
+					<!-- imagemagick -->
+					<exclude name="bin/windows/imagemagick/**/*"/>
+
+					<!-- ghostscript -->
+					<exclude name="bin/windows/ghostscript/**/*"/>
+
+					<!-- sourcecode -->
+					<exclude name="common-src/**/*"/>
+					<exclude name="runtime-src/**/*"/>
+					<exclude name="build-src/**/*"/>
 					
-					<exclude name="bin/windows/imagemagick/**/*"/>
-					<exclude name="bin/windows/ghostscript/**/*"/>
-					
-					<include name="cgi-bin/**/*"/>
-					<include name="etc/**/*"/>
-					<include name="mappings/**/*"/>
-					<include name="images/**/*"/>
-					<include name="perllib/**/*"/>
-					<include name="indexers/**/*"/>
-					<include name="macros/**/*"/>
-					<include name="collect/**/*"/>
-
-					<include name="LICENSE.txt"/>
-					<include name="READMEar.txt"/>
-					<include name="READMEes.txt"/>
-					<include name="READMEen.txt"/>
-					<include name="READMEfr.txt"/>
-					<include name="READMEru.txt"/>
-					<include name="setup.bat"/>
-					<include name="server.exe"/>
-					<include name="Uninstall.jar"/>
-					<include name="gsdlsite.cfg"/>
 				</fileset>
 		</copy>
Index: /release-kits/wirk3/ant-scripts/create-components.xml
===================================================================
--- /release-kits/wirk3/ant-scripts/create-components.xml	(revision 17421)
+++ /release-kits/wirk3/ant-scripts/create-components.xml	(revision 17422)
@@ -55,30 +55,26 @@
 				
 		<copy todir="components/tmp/core" overwrite="true">
-				<fileset dir="distribution/greenstone3">
-					<include name="bin/**/*"/>
-					<include name="docs/**/*"/>
-					<include name="gli/**/*"/>
-					<include name="gs2build/**/*"/>
-					
-					<exclude name="gs2build/common-src/**/*"/>
-					<exclude name="gs2build/build-src/**/*"/>
-					<exclude name="gs2build/runtime-src/**/*"/>
-					<exclude name="gs2build/bin/windows/imagemagick/**/*"/>
-					<exclude name="gs2build/bin/windows/ghostscript/**/*"/>
-					
-					<include name="lib/**/*"/>
-					<include name="web/**/*"/>
-					<include name="resources/**/*"/>
-					<include name="winutil/**/*"/>
+			<fileset dir="distribution/greenstone3">
+				<include name="**/*"/>
 
-					<include name="greenstone3-build.xml"/>
-					<include name="build.properties"/>
-					<include name="gs3-server.bat"/>
-					<include name="gs3-setup.bat"/>
-					<include name="LICENSE.txt"/>
-					<include name="README.txt"/>
-					<include name="server.jar"/>
-					<include name="Uninstall.jar"/>
-				</fileset>
+				<!-- exclude ghostscript -->
+				<exclude name="gs2build/bin/windows/ghostscript/**/*"/>
+
+				<!-- exclude imagemagick -->
+				<exclude name="gs2build/bin/windows/imagemagick/**/*"/>
+
+				<!-- exclude sourcecode -->
+				<include name="src/**/*"/>
+				<exclude name="gs2build/common-src/**/*"/>
+				<exclude name="gs2build/build-src/**/*"/>
+				<exclude name="gs2build/runtime-src/**/*"/>
+				
+				<!-- exclude ant -->
+				<exclude name="packages/ant/**/*"/>
+
+				<!-- exclude tomcat -->
+				<exclude name="packages/tomcat/**/*"/>
+
+			</fileset>
 		</copy>
 		