Index: /release-kits/lirk2/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/lirk2/ant-scripts/create-distribution.xml	(revision 17424)
+++ /release-kits/lirk2/ant-scripts/create-distribution.xml	(revision 17425)
@@ -9,5 +9,5 @@
 		<antcall target="drop-in-demo-collection" />
 		<antcall target="drop-in-docs" />
-		<antcall target="insert-uninstaller"/> <!-- from rk2-targets -->
+		<antcall target="insert-uninstaller"><param name="script-format" value="sh"/></antcall> <!-- from rk2-targets -->
 		<antcall target="compile-gli" />
 		<antcall target="tweak-files" />
Index: /release-kits/lirk3/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/lirk3/ant-scripts/create-distribution.xml	(revision 17424)
+++ /release-kits/lirk3/ant-scripts/create-distribution.xml	(revision 17425)
@@ -31,5 +31,5 @@
 		<antcall target="insert-user-manual"/>
 		<antcall target="insert-compiled-binaries"/>
-		<antcall target="insert-uninstaller"/> <!-- from rk3-targets -->
+		<antcall target="insert-uninstaller"><param name="script-format" value="sh"/></antcall> <!-- from rk3-targets -->
 		<antcall target="rename-build-xml-for-transit"/>
 		<antcall target="strip-svn-dirs"><param name="dir" value="distribution/greenstone3"/></antcall> <!-- from init -->
Index: /release-kits/mark2/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/mark2/ant-scripts/create-distribution.xml	(revision 17424)
+++ /release-kits/mark2/ant-scripts/create-distribution.xml	(revision 17425)
@@ -11,5 +11,5 @@
 		<antcall target="drop-in-demo-collection" />
 		<antcall target="drop-in-docs" />
-		<antcall target="insert-uninstaller"/> <!-- from rk2-targets -->
+		<antcall target="insert-uninstaller"><param name="script-format" value="sh"/></antcall> <!-- from rk2-targets -->
 		<antcall target="compile-gli" />
 		<antcall target="tweak-files" />
Index: /release-kits/mark3/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/mark3/ant-scripts/create-distribution.xml	(revision 17424)
+++ /release-kits/mark3/ant-scripts/create-distribution.xml	(revision 17425)
@@ -32,5 +32,5 @@
 		<antcall target="insert-user-manual"/>
 		<antcall target="insert-compiled-binaries"/>
-		<antcall target="insert-uninstaller"/> <!-- from rk3-targets -->
+		<antcall target="insert-uninstaller"><param name="script-format" value="sh"/></antcall> <!-- from rk3-targets -->
 		<antcall target="rename-build-xml-for-transit"/>
 		<antcall target="strip-svn-dirs"><param name="dir" value="distribution/greenstone3"/></antcall> <!-- from init -->
Index: /release-kits/wirk2/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/wirk2/ant-scripts/create-distribution.xml	(revision 17424)
+++ /release-kits/wirk2/ant-scripts/create-distribution.xml	(revision 17425)
@@ -9,5 +9,5 @@
 		<antcall target="drop-in-docs" />
 		<antcall target="drop-in-misc" />
-		<antcall target="insert-uninstaller"/> <!-- from rk2-targets -->
+		<antcall target="insert-uninstaller"><param name="script-format" value="bat"/></antcall> <!-- from rk2-targets -->		
 		<antcall target="compile-gli" />
 		<antcall target="tweak-files" />
Index: /release-kits/wirk3/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/wirk3/ant-scripts/create-distribution.xml	(revision 17424)
+++ /release-kits/wirk3/ant-scripts/create-distribution.xml	(revision 17425)
@@ -26,5 +26,5 @@
 		<antcall target="insert-compiled-binaries"/>
 		<antcall target="insert-icon"/>
-		<antcall target="insert-uninstaller"/> <!-- from rk3-targets -->
+		<antcall target="insert-uninstaller"><param name="script-format" value="bat"/></antcall> <!-- from rk3-targets -->
 		<antcall target="rename-build-xml-for-transit"/>
 	</target>