Index: /release-kits/mark2/ant-scripts/build.xml
===================================================================
--- /release-kits/mark2/ant-scripts/build.xml	(revision 17452)
+++ /release-kits/mark2/ant-scripts/build.xml	(revision 17453)
@@ -26,4 +26,5 @@
 	<import file="compile.xml"/>
 	<import file="create-distribution.xml"/>
+	<import file="create-components.xml"/>
 	<import file="create-installer.xml"/>
 	<import file="wrap.xml"/>
@@ -48,4 +49,5 @@
 		<antcall target="compile"/>
 		<antcall target="create-distribution"/>
+		<antcall target="create-components"/>
 		<antcall target="create-installer"/>
 		<antcall target="wrap"/>
Index: /release-kits/mark2/ant-scripts/create-components.xml
===================================================================
--- /release-kits/mark2/ant-scripts/create-components.xml	(revision 17452)
+++ /release-kits/mark2/ant-scripts/create-components.xml	(revision 17453)
@@ -4,14 +4,8 @@
 	<!-- create components from the distribution folder -->
 	<target name="create-components">
-		<antcall target="prepare-to-create-components" />
 		<antcall target="create-core-component" />
 		<antcall target="create-sourcecode-component" />
 	</target>
 	
-	<target name="prepare-to-create-components">
-		<delete dir="components"/>
-		<mkdir dir="components/tmp"/>
-	</target>
-
 	<target name="create-core-component">
 		<antcall target="prepare-core-component" />
@@ -25,5 +19,8 @@
 	
 	<target name="prepare-core-component">
+
+		<delete dir="components/tmp/core"/>
 		<mkdir dir="components/tmp/core"/>
+
 		<copy todir="components/tmp/core" overwrite="true">
 			<fileset dir="distributions/web">
@@ -45,5 +42,8 @@
 	
 	<target name="prepare-sourcecode-component">
+
+		<delete dir="components/tmp/sourcecode"/>
 		<mkdir dir="components/tmp/sourcecode"/>
+
 		<copy todir="components/tmp/sourcecode" overwrite="true">
 			<fileset dir="distributions/web">
Index: /release-kits/mark2/ant-scripts/create-installer.xml
===================================================================
--- /release-kits/mark2/ant-scripts/create-installer.xml	(revision 17452)
+++ /release-kits/mark2/ant-scripts/create-installer.xml	(revision 17453)
@@ -15,9 +15,13 @@
 		<copy todir="${basedir}/installer/classes" overwrite="true">
 			<fileset dir="${mark2.home}/greenstone2/installer-classes"/>
+			<fileset file="${basedir}/distributions/web/LICENCE.txt" /> 
 		</copy>
+
 		<unjar src="${mark2.home}/ant-scripts/tasks/greenstone/anttasks.jar" dest="${basedir}/installer/classes"/>
 		<delete dir="${basedir}/installer/classes/META-INF"/>
+
 		<unjar src="${mark2.home}/lib/crypt.jar" dest="${basedir}/installer/classes"/>
 		<delete dir="${basedir}/installer/classes/META-INF"/>
+
 	</target>
 
@@ -35,7 +39,22 @@
 
 			<zipfileset dir="${basedir}/installer/classes" includes="**/*" />
-			<zipfileset dir="${basedir}/distributions/web" includes="**/*"/>
+			<zipfileset dir="${basedir}/components" includes="*.lzma"/>
+		</installer>
 
+		<installer file="${basedir}/installer/Greenstone-${version}-MacOS-${processor}-minimal.jar"
+				compress="true"
+				extractType="NonExtractor"
+				installConfig="${basedir}/installer/antinstall-config.xml"
+				buildFile="${basedir}/installer/build.xml"
+				antInstallLib="${mark2.home}/packages/ant-installer/lib"
+				antLib="${mark2.home}/packages/ant/lib"
+				validateConfig="true"
+				failOnError="false"
+				icons="bluecurve">
+
+			<zipfileset dir="${basedir}/installer/classes" includes="**/*" />
+			<zipfileset dir="${basedir}/components" includes="core.lzma"/>
 		</installer>
+
 	</target>
 
Index: /release-kits/mark3/ant-scripts/create-components.xml
===================================================================
--- /release-kits/mark3/ant-scripts/create-components.xml	(revision 17452)
+++ /release-kits/mark3/ant-scripts/create-components.xml	(revision 17453)
@@ -4,5 +4,4 @@
 	<!-- create components from the distribution folder -->
 	<target name="create-components">
-		<antcall target="prepare-to-create-components" />
 		<antcall target="create-core-component" />
 		<antcall target="create-sourcecode-component" />
@@ -11,9 +10,4 @@
 	</target>
 
-	<target name="prepare-to-create-components">
-		<delete dir="components"/>
-		<mkdir dir="components/tmp"/>
-	</target>
-		
 	<target name="create-core-component">
 		<antcall target="prepare-core-component" />
@@ -38,4 +32,5 @@
 	<target name="prepare-core-component">
 
+		<delete dir="components/tmp/core"/>
 		<mkdir dir="components/tmp/core"/>
 				
@@ -74,5 +69,8 @@
 	
 	<target name="prepare-sourcecode-component">
+
+		<delete dir="components/tmp/sourcecode"/>
 		<mkdir dir="components/tmp/sourcecode"/>
+
 		<copy todir="components/tmp/sourcecode" overwrite="true">
 				<fileset dir="distribution/greenstone3">
@@ -92,5 +90,8 @@
 	
 	<target name="prepare-ant-component">
-		<mkdir dir="components/tmp/ant"/>
+
+		<delete dir="components/tmp/ant">
+		<mkdir dir="components/tmp/ant">
+
 		<copy todir="components/tmp/ant" overwrite="true">
 			<fileset dir="distribution/greenstone3/packages">
@@ -107,5 +108,8 @@
 	
 	<target name="prepare-tomcat-component">
+
+		<delete dir="components/tmp/tomcat"/>
 		<mkdir dir="components/tmp/tomcat"/>
+
 		<copy todir="components/tmp/tomcat" overwrite="true">
 			<fileset dir="distribution/greenstone3/packages">
Index: /release-kits/mark3/ant-scripts/create-installer.xml
===================================================================
--- /release-kits/mark3/ant-scripts/create-installer.xml	(revision 17452)
+++ /release-kits/mark3/ant-scripts/create-installer.xml	(revision 17453)
@@ -14,4 +14,5 @@
 		<copy todir="${basedir}/installer/classes" overwrite="true">
 			<fileset dir="${mark3.home}/greenstone3/installer-classes"/>
+			<fileset file="${basedir}/distribution/greenstone3/LICENCE.txt" /> 
 		</copy>
 		<unjar src="${mark3.home}/ant-scripts/tasks/greenstone/anttasks.jar" dest="${basedir}/installer/classes"/>
@@ -20,4 +21,5 @@
 
 	<target name="compile-installer">
+
 		<installer file="${basedir}/installer/Greenstone-${version}-MacOS-${processor}.jar"
 				compress="true"
@@ -30,10 +32,23 @@
 				failOnError="false"
 				icons="bluecurve">
+			<zipfileset dir="${basedir}/installer/classes" includes="**/*" /> <!-- installer classes -->
+			<zipfileset dir="${basedir}/components" includes="*.lzma"/>
+		</installer>
 
-			<!-- copy all the important files into the archive to be extracted for install -->
-			<zipfileset dir="${basedir}/installer/classes" includes="**/*" /> <!-- installer classes -->
-			<zipfileset dir="${basedir}/distribution/greenstone3" includes="**/*"/>
+		<installer file="${basedir}/installer/Greenstone-${version}-MacOS-${processor}-minimal.jar"
+				compress="true"
+				extractType="NonExtractor"
+				installConfig="${basedir}/installer/antinstall-config.xml"
+				buildFile="${basedir}/installer/build.xml"
+				antInstallLib="${mark3.home}/packages/ant-installer/lib"
+				antLib="${mark3.home}/packages/ant/lib"
+				validateConfig="true"
+				failOnError="false"
+				icons="bluecurve">
+			<zipfileset dir="${basedir}/installer/classes" includes="**/*" />
+			<zipfileset dir="${basedir}/components" includes="core.lzma"/>
+		</installer>
 
-		</installer>
+
 	</target>
 
Index: /release-kits/mark3/installer/build.xml
===================================================================
--- /release-kits/mark3/installer/build.xml	(revision 17452)
+++ /release-kits/mark3/installer/build.xml	(revision 17453)
@@ -30,30 +30,9 @@
 		<!-- install files -->
 		<echo message="Installing Files"/>
-		<unzip src="${antinstaller.jar}" dest="${installDir}">
-			<patternset>
-
-				<include name="bin/**/*"/>
-				<include name="docs/**/*"/>
-				<include name="gli/**/*"/>
-				<include name="gs2build/**/*"/>
-				<exclude name="gs2build/common-src/**/*"/>
-				<exclude name="gs2build/build-src/**/*"/>
-				<exclude name="gs2build/runtime-src/**/*"/>
-				<include name="lib/**/*"/>
-				<include name="web/**/*"/>
-				<include name="resources/**/*"/>
-
-				<include name="greenstone3-build.xml"/>
-				<include name="build.properties"/>
-				<include name="gs3-server.sh"/>
-				<include name="gs3-setup.sh"/>
-				<include name="LICENSE.txt"/>
-				<include name="README.txt"/>
-				<include name="server.jar"/>
-				<include name="Uninstall.jar"/>
-			</patternset>
-
-		</unzip>
-		<echo/>
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="core.lzma"/></patternset></unzip>
+		<sevenzip task="decode" input="${basedir}/core.lzma" output="${basedir}/core.comp"/>
+		<delete file="core.lzma"/>
+		<unzip src="${basedir}/core.comp" dest="${installDir}"/>
+		<delete file="core.comp"/>
 
 		<echo message="Setting Binaries to Executable"/>
@@ -104,33 +83,20 @@
 	<!-- Source -->
 	<target name="install-source-code" depends="">
-		<echo message="Installing Source Code (src)"/>
-		<mkdir dir="${installDir}/src"/>
-		<unzip src="${antinstaller.jar}" dest="${installDir}">
-			<patternset>
-				<include name="src/**/*"/>
-				<include name="gs2build/common-src/**/*"/>
-				<include name="gs2build/build-src/**/*"/>
-				<include name="gs2build/runtime-src/**/*"/>
-			</patternset>
-		</unzip>
-	</target>
-
-	<target name="install-java">
-
-		<echo message="Installing bundled java"/>
-
-		<copy todir="${installDir}/packages/jre">
-			<fileset dir="../@java.extracted@"/>
-		</copy>
-		<chmod dir="${installDir}/packages/jre/bin" includes="*" perm="775"/>		
-
-		<echo/>
-
+		<echo>Installing Source Code</echo>
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="sourcecode.lzma"/></patternset></unzip>
+		<sevenzip task="decode" input="${basedir}/sourcecode.lzma" output="${basedir}/sourcecode.comp"/>
+		<delete file="sourcecode.lzma"/>
+		<unzip src="${basedir}/sourcecode.comp" dest="${installDir}"/>
+		<delete file="sourcecode.comp"/>
 	</target>
 
 	<target name="install-tomcat">
 		<echo message="Installing Tomcat (packages/tomcat)"/>
-		<!-- extract the files -->
-		<unzip src="${antinstaller.jar}" dest="${installDir}"><patternset><include name="packages/tomcat/**/*"/></patternset></unzip>
+		<mkdir dir="packages"/>
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="tomcat.lzma"/></patternset></unzip>
+		<sevenzip task="decode" input="${basedir}/tomcat.lzma" output="${basedir}/tomcat.comp"/>
+		<delete file="tomcat.lzma"/>
+		<unzip src="${basedir}/tomcat.comp" dest="${installDir}/packages"/>
+		<delete file="tomcat.comp"/>
 
 		<!-- change the tomcat ports in tomcats server.xml -->
@@ -155,5 +121,10 @@
 		<!-- extract the files -->
 		<echo message="Installing Ant (packages/ant)"/>
-		<unzip src="${antinstaller.jar}" dest="${installDir}"><patternset><include name="packages/ant/**/*"/></patternset></unzip>
+		<mkdir dir="packages"/>
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="ant.lzma"/></patternset></unzip>
+		<sevenzip task="decode" input="${basedir}/ant.lzma" output="${basedir}/ant.comp"/>
+		<delete file="ant.lzma"/>
+		<unzip src="${basedir}/ant.comp" dest="${installDir}/packages"/>
+		<delete file="ant.comp"/>
 
 		<!-- set binaries to executable -->