Index: /release-kits/wirk3/ant-scripts/create-components.xml
===================================================================
--- /release-kits/wirk3/ant-scripts/create-components.xml	(revision 17470)
+++ /release-kits/wirk3/ant-scripts/create-components.xml	(revision 17471)
@@ -2,48 +2,30 @@
 <project name="wirk3-create-components" default="create-components">
 
+
+	<target name="create-components">
+		<antcall target="prepare-components" />
+		<antcall target="compress-components" />
+	</target>
+	
 	<!-- create components from the distribution folder -->
-	<target name="create-components">
-		<antcall target="create-core-component" />
-		<antcall target="create-imagemagick-component" />
-		<antcall target="create-ghostscript-component" />
-		<antcall target="create-sourcecode-component" />
-		<antcall target="create-ant-component" />
-		<antcall target="create-tomcat-component" />
+	<target name="prepare-components">
+		<antcall target="prepare-core-component" />
+		<antcall target="prepare-imagemagick-component" />
+		<antcall target="prepare-ghostscript-component" />
+		<antcall target="prepare-sourcecode-component" />
+		<antcall target="prepare-ant-component" />
+		<antcall target="prepare-tomcat-component" />
+	</target>
+	
+	<target name="compress-components">
+		<antcall target="compress-core-component" />
+		<antcall target="compress-imagemagick-component" />
+		<antcall target="compress-ghostscript-component" />
+		<antcall target="compress-sourcecode-component" />
+		<antcall target="compress-ant-component" />
+		<antcall target="compress-tomcat-component" />
 	</target>
 	
 	
-	<target name="create-core-component">
-		<antcall target="prepare-core-component" />
-		<antcall target="compress-core-component" />
-	</target>
-
-	<target name="create-imagemagick-component">
-		<antcall target="prepare-imagemagick-component" />
-		<antcall target="compress-imagemagick-component" />	
-	</target>
-	
-	
-	<target name="create-ghostscript-component">
-		<antcall target="prepare-ghostscript-component" />
-		<antcall target="compress-ghostscript-component" />	
-	</target>
-	
-	
-	<target name="create-sourcecode-component">
-		<antcall target="prepare-sourcecode-component" />
-		<antcall target="compress-sourcecode-component" />	
-	</target>
-	
-	
-	<target name="create-ant-component">
-		<antcall target="prepare-ant-component" />
-		<antcall target="compress-ant-component" />	
-	</target>
-	
-	
-	<target name="create-tomcat-component">
-		<antcall target="prepare-tomcat-component" />
-		<antcall target="compress-tomcat-component" />	
-	</target>
 
 	
@@ -60,22 +42,32 @@
 				<!-- exclude ghostscript -->
 				<exclude name="gs2build/bin/windows/ghostscript/**/*"/>
+				<exclude name="gs2build/bin/windows/ghostscript"/>
 
 				<!-- exclude imagemagick -->
 				<exclude name="gs2build/bin/windows/imagemagick/**/*"/>
+				<exclude name="gs2build/bin/windows/imagemagick"/>
 
 				<!-- exclude sourcecode -->
 				<exclude name="src/**/*"/>
+				<exclude name="src"/>
 				<exclude name="gs2build/common-src/**/*"/>
+				<exclude name="gs2build/common-src"/>
 				<exclude name="gs2build/build-src/**/*"/>
+				<exclude name="gs2build/build-src"/>
 				<exclude name="gs2build/runtime-src/**/*"/>
+				<exclude name="gs2build/runtime-src"/>
 				
 				<!-- exclude ant -->
 				<exclude name="packages/ant/**/*"/>
+				<exclude name="packages/ant"/>
 
 				<!-- exclude tomcat -->
 				<exclude name="packages/tomcat/**/*"/>
+				<exclude name="packages/tomcat"/>
 
 			</fileset>
 		</copy>
+		
+		
 				
 		<zip destfile="components/core.comp" basedir="components/tmp/core" compress="false" />
Index: /release-kits/wirk3/ant-scripts/operations-on-gs3home.xml
===================================================================
--- /release-kits/wirk3/ant-scripts/operations-on-gs3home.xml	(revision 17470)
+++ /release-kits/wirk3/ant-scripts/operations-on-gs3home.xml	(revision 17471)
@@ -49,4 +49,5 @@
 		<antcall target="prepare-axis"/>
 		
+		
 		<!-- delete old axis dir -->
 		<delete dir="${packages.home}/axis"/>
@@ -60,4 +61,9 @@
 
 		<delete file="${packages.home}/*.zip"/>
+		
+		<delete>
+			<fileset dir="${packages.home}" includes="*.zip"/>
+		</delete>
+
 		
 		<!-- documented collections -->