Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/InputField.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/InputField.java	(revision 17516)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/InputField.java	(revision 17517)
@@ -44,5 +44,8 @@
 	public String getDisplayText() {
 		if( org.tp23.antinstaller.Installer.langPack != null){
-			return org.tp23.antinstaller.Installer.langPack.getString(getProperty() + ".displayText");
+			try {
+				String r = org.tp23.antinstaller.Installer.langPack.getString(getProperty() + ".displayText");
+				return r;
+			} catch (MissingResourceException e) {}
 		}
 		return displayText;
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/SelectInput.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/SelectInput.java	(revision 17516)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/SelectInput.java	(revision 17517)
@@ -71,6 +71,8 @@
 		public String getText() {
 			if( org.tp23.antinstaller.Installer.langPack != null ) {
-				String r = org.tp23.antinstaller.Installer.langPack.getString( getProperty() + "." + idx + ".displayText" );
-				if ( r != null ) return r;
+				try {
+					String r = org.tp23.antinstaller.Installer.langPack.getString( getProperty() + "." + idx + ".displayText" );
+					return r;
+				} catch ( java.util.MissingResourceException mre ) {}
 			}
 			return text;
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/LicensePageRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/LicensePageRenderer.java	(revision 17516)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/LicensePageRenderer.java	(revision 17517)
@@ -53,5 +53,11 @@
 	}
 
+	public void reInstanceInit() {
+		getNextButton().setText( org.tp23.antinstaller.Installer.langPack.getString( "license.next.text" ) );
+		getCancelButton().setText( org.tp23.antinstaller.Installer.langPack.getString( "license.cancel.text" ) );
+	}
+
 	public void instanceInit() throws Exception {
+
 		String resource = ((LicensePage)page).getResource();
 		InputStream licensein = this.getClass().getResourceAsStream(resource);
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/ProgressPageRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/ProgressPageRenderer.java	(revision 17516)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/ProgressPageRenderer.java	(revision 17517)
@@ -83,8 +83,16 @@
 	}
 
-
 	/**
 	 * instanceInit
 	 */
+	public void reInstanceInit() {
+		feedBackLabel.setText(org.tp23.antinstaller.Installer.langPack.getString("click")+" "+ctx.getInstaller().getFinishButtonText()+" "+org.tp23.antinstaller.Installer.langPack.getString("toContinue"));
+		jToggleButton.setText(org.tp23.antinstaller.Installer.langPack.getString("showDetails"));
+
+		jTabbedPane.removeAll();
+		jTabbedPane.add(org.tp23.antinstaller.Installer.langPack.getString("output"), outPanel);
+		jTabbedPane.add(org.tp23.antinstaller.Installer.langPack.getString("errors"), errPanel);
+	}
+
 	public void instanceInit() {
 		showTargets = ((ProgressPage)page).isShowTargets();
@@ -152,7 +160,7 @@
 		//jTabbedPane.setBounds(new Rectangle(4, MESSAGE_PANEL_HEIGHT, PAGE_WIDTH-12, 214));
 
-		this.getNextButton().setEnabled(false);
+		this.getNextButton().setVisible(false);
 		this.getFinishButton().setText(ctx.getInstaller().getFinishButtonText());
-		this.getFinishButton().setEnabled(true);
+		this.getFinishButton().setVisible(true);
 	}
 
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/SelectInputRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/SelectInputRenderer.java	(revision 17516)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/SelectInputRenderer.java	(revision 17517)
@@ -16,4 +16,6 @@
 package org.tp23.antinstaller.renderer.swing;
 
+import java.awt.BorderLayout;
+import javax.swing.BoxLayout;
 import java.awt.event.ItemEvent;
 import java.awt.event.ItemListener;
@@ -105,11 +107,20 @@
     }
 	public int addSelf(JPanel content,GBCF cf,  int row,boolean overflow) {
-		content.add(fieldLabel,cf.getCell(row, 0));
+
+		JPanel superContainer = new JPanel(new BorderLayout());
+
+		JPanel container = new JPanel();
+		container.setLayout(new BoxLayout(container, BoxLayout.Y_AXIS));
+
+		if ( !fieldLabel.getText().equals("") ) {
+			container.add(fieldLabel);
+		}
+
 		Enumeration enumeration = optionGroup.getElements();
 		// there should be at least two
 		enumeration.hasMoreElements();
 		AIRadioButton jrb = (AIRadioButton)enumeration.nextElement();
-		content.add(jrb,cf.getCell(row++, 1));
-		if(overflow) {
+		container.add(jrb);
+		if( overflow ) {
 			jrb.setOverflow(SizeConstants.OVERFLOW_FIELD_SIZE);
 		}
@@ -117,10 +128,14 @@
 		while(enumeration.hasMoreElements()){
 			jrb = (AIRadioButton)enumeration.nextElement();
-			content.add(empty,cf.getCell(row, 0));
-			content.add(jrb,cf.getCell(row++, 1));
+			//content.add(empty,cf.getCell(row, 0));
+			container.add(jrb);
 			if(overflow) {
 				jrb.setOverflow(SizeConstants.OVERFLOW_FIELD_SIZE);
 			}
 		}
+		container.add(empty);
+		superContainer.add(BorderLayout.WEST,container);
+		content.add(superContainer);
+
 		return row;
 	}
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/SimpleInputPageRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/SimpleInputPageRenderer.java	(revision 17516)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/SimpleInputPageRenderer.java	(revision 17517)
@@ -98,4 +98,6 @@
 	}
 
+	public void reInstanceInit() {}
+
 	public void instanceInit() throws Exception {
 		ToolTipManager.sharedInstance().setInitialDelay(0);
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/SwingPageRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/SwingPageRenderer.java	(revision 17516)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/SwingPageRenderer.java	(revision 17517)
@@ -54,5 +54,5 @@
 	
     // holds the next back buttons etc
-	private JPanel controlPanel = new JPanel(new FlowLayout(FlowLayout.CENTER,20,3));
+	private JPanel controlPanel = new JPanel(new FlowLayout(FlowLayout.CENTER,12,3));
 
 	private JButton backButton = new JButton();
@@ -161,9 +161,10 @@
 		nextButton.setText(org.tp23.antinstaller.Installer.langPack.getString("nextButton"));// "Next >>");
 		finishButton.setText(ctx.getInstaller().getFinishButtonText());
-		finishButton.setEnabled(false);
+		finishButton.setVisible(false);
 		setEventListeners();
 		setIcons();
 	}
 	public abstract void instanceInit() throws Exception ;
+	public abstract void reInstanceInit();
 	public abstract void updateInputFields();
 	public abstract void updateDefaultValues();
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/SwingRunner.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/SwingRunner.java	(revision 17516)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/SwingRunner.java	(revision 17517)
@@ -285,12 +285,6 @@
 
 	protected void renderNext(SwingPageRenderer renderer) throws ClassNotFoundException, InstallException {
-		try {
-			renderer.instanceInit();
-			renderer.reInit();
-		} catch ( Exception e ) {
-			System.err.println( "Couldn't initialise a page" );
-			System.exit(1);
-		}
-
+		renderer.reInit();
+		renderer.reInstanceInit();
 
 		renderer.updateDefaultValues();