Index: release-kits/shared/greenstone2/installer-classes/resources/LanguagePack.properties
===================================================================
--- release-kits/shared/greenstone2/installer-classes/resources/LanguagePack.properties	(revision 17397)
+++ release-kits/shared/greenstone2/installer-classes/resources/LanguagePack.properties	(revision 17522)
@@ -60,12 +60,6 @@
 
 #language page
-page.language-selector.displayText = Please choose you language
-language.displayText = Language
-language.1.displayText = English
-language.2.displayText = French
-language.3.displayText = Spanish
-language.4.displayText = Russian
-language.5.displayText = German
-choose-language.displayText = Please select your preferred core language
+page.language-selector.displayText = Language
+language-selector-explanation.displayText = Please choose your preferred language (Note: The install has not been fully translated into all these languages yet)
 
 #admin password page
Index: release-kits/shared/greenstone2/installer-classes/resources/LanguagePack_zh.properties
===================================================================
--- release-kits/shared/greenstone2/installer-classes/resources/LanguagePack_zh.properties	(revision 17522)
+++ release-kits/shared/greenstone2/installer-classes/resources/LanguagePack_zh.properties	(revision 17522)
@@ -0,0 +1,130 @@
+finishButtonText = (Chinese)  ç»¿å®ç³èœ¯ä»¶
+page.intro.displayText = (Chinese) ç»¿å®ç³èœ¯ä»¶
+
+# intro page
+page.intro.displayText = (Chinese) Greenstone @version@ installer
+welcome-message.displayText = (Chinese) This will install the Greenstone2 (version @version@) Digital Library Software onto you computer. Greenstone2 is a software package for building digital libraries and hosting them online.
+
+# license page
+page.license.displayText = (Chinese) License conditions
+
+
+# destination page
+page.destination.displayText = (Chinese) Install Destination
+installDir.displayText = (Chinese) Select an installation directory
+
+
+# selector page
+page.selector.displayText = (Chinese) Components to install
+choose-components.displayText = (Chinese) Choose the components you want to install
+
+install-core-components.displayText = (Chinese) Core components
+install-core-components.explanatoryText = (Chinese) \
+<html> \
+This is the core Greenstone2 system. It is a required component. \
+</html>
+
+install-windows-jre.displayText = (Chinese) Java Runtime Environment (@bundled.version.windows-java@)
+install-linux-jre.displayText = (Chinese) Java Runtime Environment (@bundled.version.linux-java@)
+install-jre.explanatoryText = (Chinese) \
+<html> \
+Some of Greenstone2 is written in the Java programming language, and so requires <br> \
+a Java Runtime Environment to run (@java.min.version@ or greater). <br><br> \
+This installer comes bundled with a recent Java Runtime Environment (version @bundled.version.java@),<br> \
+which you can choose to install if you don't have a sutible Java Runtime Environment installed already.<br><br> \
+If in doubt, install this component. \
+</html>
+
+install-source-code.displayText = (Chinese) Source code
+install-source-code.explanatoryText = (Chinese) \
+<html> \
+The source code is a purely optional component. <br><br> \
+Install the source code if you wish to make modifications to your copy of Greenstone3, or just <br> \
+want to see how it works. \
+</html>
+
+install-imagemagick.displayText = (Chinese) ImageMagick (@bundled.version.imagemagick@)
+install-imagemagick.explanatoryText = (Chinese) \
+<html> \
+Greenstone uses ImageMagick to process images. If you have ImageMagick on your computer already,<br> \
+or if you don't wish to include images in Greenstone collections, then you may choose not to<br> \
+install ImageMagick. \
+</html>
+
+install-ghostscript.displayText = (Chinese) GhostScript (@bundled.version.ghostscript@)
+install-ghostscript.explanatoryText = (Chinese) \
+<html> \
+Greenstone uses GhostScript to process PDF and PostScript files.<br> \
+then you may choose not to install ImageMagick. \
+</html>
+
+install-start-menu-shortcuts.displayText = (Chinese) Start Menu Shortcuts
+install-start-menu-shortcuts.explanatoryText = (Chinese) Create shortcuts to Greenstone on your Start Menu
+
+#language page
+page.language-selector.displayText = (Chinese) Please choose you language
+language.displayText = (Chinese) Language
+
+choose-language.displayText = (Chinese) Please select your preferred core language
+
+#admin password page
+page.admin-password.displayText = (Chinese) Please set the Admin Password
+admin.password.displayText = (Chinese) Admin Password
+admin-password-expl.displayText = (Chinese) In order to access certain parts of the Greenstone interface you need a password. A user with the username 'admin' will be created for you with the password you provide. The password must be between three and eight characters long.
+
+
+# progress page
+page.progress.displayText = (Chinese) Installation progress
+
+finishButtonText = (Chinese) Install
+
+
+# AntInstaller builtin stuff
+
+dirNotExistCreate=The Directory does not exist, create it?
+dirNotExist=The Directory does not exist
+fileNotExist=The File does not exist
+dirNotCreated=The Directory could not be created
+canNotCreateFile=Can not create file
+appRootInvalid=This directory does not appear to be the root of the application
+selectFile=Select File
+selectFolder=Select Folder
+notValidSelection=Not a valid selection
+showDetails=Show Details
+
+#Default loading
+promptLoadDefaults=Installation configujration found. Load the existing configuration?
+promptMissingDefaultPassword=A password was not found it may have been omitted for security reasons, it will be set to the default.
+
+click=Click
+toContinue=to continue
+failed=Failed
+exit=Exit
+complete=Complete
+finished=Finished
+extracting=Extracting...
+installFinished=Install Finished
+running=Running:
+
+backButton=Back
+cancelButton=Cancel
+nextButton=Next
+
+
+output=Output
+errors=Errors
+notCorrectFormat=The field is not of the correct format
+notCorrectPasswordFormat=The password is not of the correct format
+passwordsDoNotMatch=The passwords do not match
+installationFailed=Install failed
+propertiesVersionMismatch=Some options are missing from the previous version and must be manually entered, continue?
+
+install-cancelled=Install Cancelled
+Finished=Finished
+Failed=Failed, view the error messages
+ant.failure=Ant run failed - examine the error logs for details
+
+#Text for license page buttons
+license.next.text=Accept
+license.cancel.text=Reject
+
Index: release-kits/shared/greenstone2/installer-classes/resources/LanguagePack_zh_CN.properties
===================================================================
--- release-kits/shared/greenstone2/installer-classes/resources/LanguagePack_zh_CN.properties	(revision 17397)
+++ 	(revision )
@@ -1,29 +1,0 @@
-### Ant Installer - language pack auto generated on Wed Mar 12 13:57:47 NZDT 2008
-
-finishButtonText =  ç»¿å®ç³èœ¯ä»¶
-
-
-## Text from Page:intro
-page.intro.displayText = ç»¿å®ç³èœ¯ä»¶
-
-## Text from Page:license
-page.license.displayText = License conditions
-
-## Text from Page:destination
-page.destination.displayText = Install Destination
-installDir.displayText = Select an installation directory
-
-## Text from Page:tomcatports
-page.tomcatports.displayText = Tomcat Ports
-comment.2.displayText = Please select the ports which the web server (Apache Tomcat) will use  will use. It is usually safe to accept the defaults by just clicking Next. The exception is when you are running other services on these ports - if this is the case, select some free ports and click Next.
-tomcat.port.displayText = Tomcat Port
-tomcat.shutdown.port.displayText = Tomcat Shutdown Port
-
-## Text from Page:selector
-page.selector.displayText = Components to install
-comment.5.displayText = Choose the components you want to install
-default.displayText = Core components
-tgsrc.displayText = Source code
-
-## Text from Page:progress
-page.progress.displayText = Installation progress