Index: release-kits/lirk3/ant-scripts/compile.xml
===================================================================
--- release-kits/lirk3/ant-scripts/compile.xml	(revision 17522)
+++ release-kits/lirk3/ant-scripts/compile.xml	(revision 17523)
@@ -26,7 +26,4 @@
 		<ant dir="greenstone3" antfile="${lirk3.home}/ant-scripts/operations-on-gs3home.xml" target="build-unix" inheritAll="false"/>
 		<antcall target="linux-strip-execs" />
-
-		<!-- search4j -->
-		<antcall target="compile-search4j-unix" /> <!-- from rk3-targets -->
 
 		<!-- uninstaller -->
Index: release-kits/lirk3/ant-scripts/create-distribution.xml
===================================================================
--- release-kits/lirk3/ant-scripts/create-distribution.xml	(revision 17522)
+++ release-kits/lirk3/ant-scripts/create-distribution.xml	(revision 17523)
@@ -59,5 +59,4 @@
 		<delete dir="distribution/greenstone3/gs2build/bin/linux"/>
 		<exec executable="cp"><arg line="-r greenstone3/gs2build/bin/linux distribution/greenstone3/gs2build/bin"/></exec>
-		<exec dir="${basedir}" executable="cp"><arg line="greenstone3/bin/search4j distribution/greenstone3/bin"/></exec>
 
 		<delete dir="distribution/greenstone3/gs2build/bin/java"/>
Index: release-kits/mark2/ant-scripts/compile.xml
===================================================================
--- release-kits/mark2/ant-scripts/compile.xml	(revision 17522)
+++ release-kits/mark2/ant-scripts/compile.xml	(revision 17523)
@@ -16,7 +16,4 @@
 		<antcall target="copy-library-oai"/>
 		<antcall target="strip-execs"/>
-
-		<!-- search4j -->
-		<antcall target="compile-search4j-unix" /> <!-- from rk2-targets -->
 
 		<!-- uninstaller -->
Index: release-kits/mark2/ant-scripts/create-distribution.xml
===================================================================
--- release-kits/mark2/ant-scripts/create-distribution.xml	(revision 17522)
+++ release-kits/mark2/ant-scripts/create-distribution.xml	(revision 17523)
@@ -46,5 +46,4 @@
 		<delete dir="distributions/web/bin/darwin" />
 		<exec dir="${basedir}" executable="cp"><arg line="-r gsdl/bin/darwin distributions/web/bin"/></exec>
-		<exec dir="${basedir}" executable="cp"><arg line="gsdl/bin/search4j distributions/web/bin"/></exec>
 		<exec dir="${basedir}" executable="cp"><arg line="gsdl/cgi-bin/library distributions/web/cgi-bin"/></exec>
 		<exec dir="${basedir}" executable="cp"><arg line="gsdl/cgi-bin/oaiserver distributions/web/cgi-bin"/></exec>
Index: release-kits/mark3/ant-scripts/compile.xml
===================================================================
--- release-kits/mark3/ant-scripts/compile.xml	(revision 17522)
+++ release-kits/mark3/ant-scripts/compile.xml	(revision 17523)
@@ -24,7 +24,4 @@
 		<ant target="build-unix" dir="greenstone3" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" inheritAll="false"/>
 		<antcall target="linux-strip-execs" />
-
-		<!-- search4j -->
-		<antcall target="compile-search4j-unix" /> <!-- from rk3-targets -->
 
 		<!-- uninstaller -->
Index: release-kits/mark3/ant-scripts/create-distribution.xml
===================================================================
--- release-kits/mark3/ant-scripts/create-distribution.xml	(revision 17522)
+++ release-kits/mark3/ant-scripts/create-distribution.xml	(revision 17523)
@@ -67,5 +67,4 @@
 		<delete dir="distribution/greenstone3/gs2build/bin/darwin"/>
 		<exec executable="cp"><arg line="-r greenstone3/gs2build/bin/darwin distribution/greenstone3/gs2build/bin"/></exec>
-		<exec dir="${basedir}" executable="cp"><arg line="greenstone3/bin/search4j distribution/greenstone3/bin"/></exec>
 
 		<delete dir="distribution/greenstone3/gs2build/bin/java"/>
Index: release-kits/wirk2/ant-scripts/create-installer.xml
===================================================================
--- release-kits/wirk2/ant-scripts/create-installer.xml	(revision 17522)
+++ release-kits/wirk2/ant-scripts/create-installer.xml	(revision 17523)
@@ -4,5 +4,5 @@
 	<target name="create-installer">
 		<antcall target="copy-installer-files"/>
-		<antcall target="make-installer-files-concrete"/> <!-- from rk2-targets -->
+		<antcall target="make-installer-files-concrete"><param name="java.os" value="windows"/></antcall> <!-- from rk2-targets -->
 		<antcall target="compile-installer"/>
 	</target>