Index: release-kits/lirk3/ant-scripts/create-installer.xml
===================================================================
--- release-kits/lirk3/ant-scripts/create-installer.xml	(revision 17536)
+++ release-kits/lirk3/ant-scripts/create-installer.xml	(revision 17538)
@@ -4,5 +4,5 @@
 	<target name="create-installer">
 		<antcall target="copy-installer-files"/>
-		<antcall target="make-installer-files-concrete"/> <!-- from rk3-targets -->
+		<antcall target="make-installer-files-concrete"><param name="java.os" value="linux"/></antcall> <!-- from rk3-targets -->
 		<antcall target="compile-installer"/>
 	</target>
Index: release-kits/lirk3/installer/antinstall-config.xml
===================================================================
--- release-kits/lirk3/installer/antinstall-config.xml	(revision 17536)
+++ release-kits/lirk3/installer/antinstall-config.xml	(revision 17538)
@@ -11,4 +11,16 @@
 			defaultImageResource="/resources/header.png"
 			minJavaVersion="1.4">
+
+	<!-- select language page -->
+	<page type="input" name="language-selector" displayText="">
+		<comment name="language-selector-explanation"/>
+		<select property="language" defaultValue="en" displayText="" useAsLocale="true">
+			<option value="en" text="English"/>
+			<option value="fr" text="FranÃ§ais"/>
+			<option value="es" text="EspaÃ±ol"/>
+			<option value="ru" text="ÑÑÑÑÐºÐžÐ¹ ÑÐ·ÑÐº"/>
+			<option value="zh" text="äž­æ"/>
+		</select>
+	</page>
 
 	<!--  simple intro page -->
Index: release-kits/mark2/installer/antinstall-config.xml
===================================================================
--- release-kits/mark2/installer/antinstall-config.xml	(revision 17536)
+++ release-kits/mark2/installer/antinstall-config.xml	(revision 17538)
@@ -11,4 +11,16 @@
 			defaultImageResource="/resources/header.png"
 			minJavaVersion="1.4">
+
+	<!-- select language page -->
+	<page type="input" name="language-selector" displayText="">
+		<comment name="language-selector-explanation"/>
+		<select property="language" defaultValue="en" displayText="" useAsLocale="true">
+			<option value="en" text="English"/>
+			<option value="fr" text="FranÃ§ais"/>
+			<option value="es" text="EspaÃ±ol"/>
+			<option value="ru" text="ÑÑÑÑÐºÐžÐ¹ ÑÐ·ÑÐº"/>
+			<option value="zh" text="äž­æ"/>
+		</select>
+	</page>
 
 	<!--  simple intro page -->
Index: release-kits/mark3/installer/antinstall-config.xml
===================================================================
--- release-kits/mark3/installer/antinstall-config.xml	(revision 17536)
+++ release-kits/mark3/installer/antinstall-config.xml	(revision 17538)
@@ -11,4 +11,16 @@
 			defaultImageResource="/resources/header.png"
 			minJavaVersion="1.4">
+
+	<!-- select language page -->
+	<page type="input" name="language-selector" displayText="">
+		<comment name="language-selector-explanation"/>
+		<select property="language" defaultValue="en" displayText="" useAsLocale="true">
+			<option value="en" text="English"/>
+			<option value="fr" text="FranÃ§ais"/>
+			<option value="es" text="EspaÃ±ol"/>
+			<option value="ru" text="ÑÑÑÑÐºÐžÐ¹ ÑÐ·ÑÐº"/>
+			<option value="zh" text="äž­æ"/>
+		</select>
+	</page>
 
 	<!--  simple intro page -->
Index: release-kits/wirk2/installer/antinstall-config.xml
===================================================================
--- release-kits/wirk2/installer/antinstall-config.xml	(revision 17536)
+++ release-kits/wirk2/installer/antinstall-config.xml	(revision 17538)
@@ -11,4 +11,16 @@
 			defaultImageResource="/resources/header.png"
 			minJavaVersion="1.4">
+
+	<!-- select language page -->
+	<page type="input" name="language-selector" displayText="">
+		<comment name="language-selector-explanation"/>
+		<select property="language" defaultValue="en" displayText="" useAsLocale="true">
+			<option value="en" text="English"/>
+			<option value="fr" text="FranÃ§ais"/>
+			<option value="es" text="EspaÃ±ol"/>
+			<option value="ru" text="ÑÑÑÑÐºÐžÐ¹ ÑÐ·ÑÐº"/>
+			<option value="zh" text="äž­æ"/>
+		</select>
+	</page>
 
 	<!--  simple intro page -->
Index: release-kits/wirk3/ant-scripts/create-installer.xml
===================================================================
--- release-kits/wirk3/ant-scripts/create-installer.xml	(revision 17536)
+++ release-kits/wirk3/ant-scripts/create-installer.xml	(revision 17538)
@@ -4,5 +4,5 @@
 	<target name="create-installer">
 		<antcall target="copy-installer-files"/>
-		<antcall target="make-installer-files-concrete"/> <!-- from rk3-targets -->
+		<antcall target="make-installer-files-concrete"><param name="java.os" value="windows"/></antcall> <!-- from rk3-targets -->
 		<antcall target="compile-installer"/>
 	</target>
Index: release-kits/wirk3/installer/antinstall-config.xml
===================================================================
--- release-kits/wirk3/installer/antinstall-config.xml	(revision 17536)
+++ release-kits/wirk3/installer/antinstall-config.xml	(revision 17538)
@@ -11,4 +11,16 @@
 			defaultImageResource="/resources/header.png"
 			minJavaVersion="1.4">
+
+	<!-- select language page -->
+	<page type="input" name="language-selector" displayText="">
+		<comment name="language-selector-explanation"/>
+		<select property="language" defaultValue="en" displayText="" useAsLocale="true">
+			<option value="en" text="English"/>
+			<option value="fr" text="FranÃ§ais"/>
+			<option value="es" text="EspaÃ±ol"/>
+			<option value="ru" text="ÑÑÑÑÐºÐžÐ¹ ÑÐ·ÑÐº"/>
+			<option value="zh" text="äž­æ"/>
+		</select>
+	</page>
 
 	<!--  simple intro page -->