Index: release-kits/shared/greenstone3/ant-scripts/rk3-targets.xml
===================================================================
--- release-kits/shared/greenstone3/ant-scripts/rk3-targets.xml	(revision 17539)
+++ release-kits/shared/greenstone3/ant-scripts/rk3-targets.xml	(revision 17540)
@@ -15,10 +15,17 @@
 		<echo>Calculating the size of some components</echo>
 
-		<!-- core greenstone3 system (keep in sync with installer build.xml files) -->
-		<length property="component.bytesize.core" mode="all"><fileset file="${basedir}/components/core.comp"/></length>
+		<!-- core greenstone3 system -->
+		<length property="component.bytesize.core-without-jre" mode="all"><fileset file="${basedir}/components/core.comp"/></length>
+		<if><bool><equals arg1="${java.os}" arg2="windows"/></bool>
+			<math result="component.bytesize.core" operand1="${component.bytesize.core-without-jre}" operation="+" operand2="${component.bytesize.windows-java}" datatype="int"/>
+		<else><if><bool><equals arg1="${java.os}" arg2="linux"/></bool>
+			<math result="component.bytesize.core" operand1="${component.bytesize.core-without-jre}" operation="+" operand2="${component.bytesize.linux-java}" datatype="int"/>
+		<else>
+			<property name="component.bytesize.core" value1="${component.bytesize.core-without-jre}"/>
+		</else></if></else></if>
 		<math result="component.megabytesize.core" operand1="${component.bytesize.core}" operation="/" operand2="1048576" datatype="int"/>
 		<property name="component.size.core" value="${component.megabytesize.core} MB"/>
 
-		<!-- source code (keep in sync with installer build.xml files) -->
+		<!-- source code -->
 		<length property="component.bytesize.sourcecode" mode="all"><fileset file="${basedir}/components/sourcecode.comp"/></length>
 		<math result="component.megabytesize.sourcecode" operand1="${component.bytesize.sourcecode}" operation="/" operand2="1048576" datatype="int"/>
@@ -97,5 +104,5 @@
 
 		<!-- chinese -->
-		<rsr file="${basedir}/installer/classes/resources/LanguagePack_zh_CN.properties">
+		<rsr file="${basedir}/installer/classes/resources/LanguagePack_zh.properties">
 			<job pattern="@version@" replacement="${version}"/>
 			<job pattern="@java.min.version@" replacement="${java.min.version}"/>
@@ -110,4 +117,5 @@
 	</target>
 
+<!--
 	<target name="compile-search4j-unix">
 		<copy todir="${basedir}/greenstone3"><fileset dir="${rk.home}/packages" includes="search4j/**/*"/></copy>
@@ -123,4 +131,5 @@
 		<move file="${basedir}/greenstone3/search4j/search4j.exe" todir="${basedir}/greenstone3/bin"/>
 	</target>
+-->
 
 	<target name="compile-uninstaller">
Index: release-kits/shared/greenstone3/installer-classes/resources/LanguagePack_zh.properties
===================================================================
--- release-kits/shared/greenstone3/installer-classes/resources/LanguagePack_zh.properties	(revision 17540)
+++ release-kits/shared/greenstone3/installer-classes/resources/LanguagePack_zh.properties	(revision 17540)
@@ -0,0 +1,29 @@
+### Ant Installer - language pack auto generated on Wed Mar 12 13:57:47 NZDT 2008
+
+finishButtonText =  ç»¿å®ç³èœ¯ä»¶
+
+
+## Text from Page:intro
+page.intro.displayText = ç»¿å®ç³èœ¯ä»¶
+
+## Text from Page:license
+page.license.displayText = License conditions
+
+## Text from Page:destination
+page.destination.displayText = Install Destination
+installDir.displayText = Select an installation directory
+
+## Text from Page:tomcatports
+page.tomcatports.displayText = Tomcat Ports
+comment.2.displayText = Please select the ports which the web server (Apache Tomcat) will use  will use. It is usually safe to accept the defaults by just clicking Next. The exception is when you are running other services on these ports - if this is the case, select some free ports and click Next.
+tomcat.port.displayText = Tomcat Port
+tomcat.shutdown.port.displayText = Tomcat Shutdown Port
+
+## Text from Page:selector
+page.selector.displayText = Components to install
+comment.5.displayText = Choose the components you want to install
+default.displayText = Core components
+tgsrc.displayText = Source code
+
+## Text from Page:progress
+page.progress.displayText = Installation progress
Index: release-kits/shared/greenstone3/installer-classes/resources/LanguagePack_zh_CN.properties
===================================================================
--- release-kits/shared/greenstone3/installer-classes/resources/LanguagePack_zh_CN.properties	(revision 17539)
+++ 	(revision )
@@ -1,29 +1,0 @@
-### Ant Installer - language pack auto generated on Wed Mar 12 13:57:47 NZDT 2008
-
-finishButtonText =  ç»¿å®ç³èœ¯ä»¶
-
-
-## Text from Page:intro
-page.intro.displayText = ç»¿å®ç³èœ¯ä»¶
-
-## Text from Page:license
-page.license.displayText = License conditions
-
-## Text from Page:destination
-page.destination.displayText = Install Destination
-installDir.displayText = Select an installation directory
-
-## Text from Page:tomcatports
-page.tomcatports.displayText = Tomcat Ports
-comment.2.displayText = Please select the ports which the web server (Apache Tomcat) will use  will use. It is usually safe to accept the defaults by just clicking Next. The exception is when you are running other services on these ports - if this is the case, select some free ports and click Next.
-tomcat.port.displayText = Tomcat Port
-tomcat.shutdown.port.displayText = Tomcat Shutdown Port
-
-## Text from Page:selector
-page.selector.displayText = Components to install
-comment.5.displayText = Choose the components you want to install
-default.displayText = Core components
-tgsrc.displayText = Source code
-
-## Text from Page:progress
-page.progress.displayText = Installation progress